LinuxQuestions.org
Share your knowledge at the LQ Wiki.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices

Reply
 
Search this Thread
Old 06-10-2003, 04:13 AM   #1
meeshka
Member
 
Registered: Jun 2003
Distribution: Redhat8
Posts: 50

Rep: Reputation: 15
Question Problem updating KDE on Redhat using apt-get


I'm trying to update KDE to the latest version, using apt-get. After spending approx 6hrs downloading the files (using apt-get update, apt-get install kde), it fails with the following error message:

file /usr/share/applications/kde-kcmkxmlrpcd.desktop from install of kdebase-3.1.2-0.fdr.2.rh80 conflicts with file from package kxmlrpcd-3.0.3-3
E: Sub-process /bin/rpm returned an error code (46)


The full screen dumb is below:

The following extra packages will be installed:
alsa-lib arts arts-devel glibc glibc-common glibc-debug glibc-debug-static
glibc-devel glibc-utils kdebase kdebase-devel kdelibs kdelibs-devel mad-libs
qt qt-MySQL qt-ODBC qt-PostgreSQL qt-designer qt-devel redhat-artwork
redhat-logos redhat-menus
The following packages will be upgraded
arts arts-devel glibc glibc-common glibc-debug glibc-debug-static
glibc-devel glibc-utils kdebase kdebase-devel kdelibs kdelibs-devel qt
qt-MySQL qt-ODBC qt-PostgreSQL qt-designer qt-devel redhat-artwork
redhat-logos redhat-menus
The following packages will be REPLACED:
qt-Xt (by qt)
The following NEW packages will be installed:
alsa-lib kde mad-libs
21 packages upgraded, 3 newly installed, 1 replaced, 0 removed and 321 not upgraded.
Need to get 0B/122MB of archives.
After unpacking 96.8MB of additional disk space will be used.
Do you want to continue? [Y/n] Y


Executing RPM (-Uvh)...
warning: /var/cache/apt/archives/glibc-utils_2.3.2-4.80.6_i386.rpm: V3 DSA signature: NOKEY, key ID db42a60e
warning: /var/cache/apt/archives/alsa-lib_0.9.2-fr1_i386.rpm: V3 DSA signature: NOKEY, key ID e42d547b
warning: /var/cache/apt/archives/redhat-logos_1.1.10-1.0.8.0_noarch.rpm: V3 DSA signature: NOKEY, key ID ff6382fa
Preparing...

file /usr/share/applications/kde-kcmkxmlrpcd.desktop from install of kdebase-3.1.2-0.fdr.2.rh80 conflicts with file from package kxmlrpcd-3.0.3-3
E: Sub-process /bin/rpm returned an error code (46)

Am I doing anything obviously wrong, this is my first attempt at using apt-get/updating kde and I've followed all the instructions.

Any ideas?
Thanks.
 
Old 06-10-2003, 07:20 AM   #2
BigNate
Member
 
Registered: Mar 2003
Location: Harrisburg, PA
Distribution: Gentoo, Debian, Ubuntu, Red Hat/CentOS
Posts: 719

Rep: Reputation: 30
Did you try just

$apt-get upgrade kde
 
Old 06-10-2003, 05:24 PM   #3
meeshka
Member
 
Registered: Jun 2003
Distribution: Redhat8
Posts: 50

Original Poster
Rep: Reputation: 15
Quote:
Originally posted by BigNate
Did you try just

$apt-get upgrade kde
No, i just did apt-get update, then apt-get install kde. Will apt-get update kde work??
 
Old 06-10-2003, 07:09 PM   #4
BigNate
Member
 
Registered: Mar 2003
Location: Harrisburg, PA
Distribution: Gentoo, Debian, Ubuntu, Red Hat/CentOS
Posts: 719

Rep: Reputation: 30
No try upgrade kde...to go from older version to newer.
 
Old 06-10-2003, 07:18 PM   #5
meeshka
Member
 
Registered: Jun 2003
Distribution: Redhat8
Posts: 50

Original Poster
Rep: Reputation: 15
oops, that's what i meant to type. Will try tonight. Thanks!
 
Old 06-15-2003, 09:21 PM   #6
meeshka
Member
 
Registered: Jun 2003
Distribution: Redhat8
Posts: 50

Original Poster
Rep: Reputation: 15
Just to follow up. I ran:

apt-get install kde kdenetwork

as advised to on the rdhat-kde-users mailing list and it updated fine.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
APT Repositories REDHAT 9 KDE Jusitn S Linux - Software 1 07-26-2005 06:32 PM
problem updating KDE to 3.4 on MDK 10.1 Lenny420 Linux - Software 0 06-09-2005 07:18 PM
Problem updating redhat-config-packages Seventh Fedora 1 02-25-2004 11:01 PM
problem updating rh9 to fedora: config GDM to start another wm direfent to kde legolin Fedora 0 01-24-2004 12:34 AM
Yet another Red Hat 7.2 problem updating to KDE 3.0 glock19 Linux - General 5 04-11-2002 07:43 PM


All times are GMT -5. The time now is 08:37 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration